package com.hzya.frame.plugin.lets.plugin.base;

import com.hzya.frame.WebappApplication;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class BaseTest {

    @Autowired
    private SKUPluginInitializer skuPluginInitializer;
    @Autowired
    private SKUSealPluginInitializer  skuSealPluginInitializer;
    @Autowired
    private SKUClassPluginInitializer skuClassPluginInitializer;
    @Autowired
    private GoodsAutoAllotPluginInitializer goodsAutoAllotPluginInitializer;
    @Autowired
    private KitPluginInitializer kitPluginInitializer;

    ////////////////////////////////////////////////////////////////////////////////////SKU
    @Test
    public void t00(){
        skuPluginInitializer.start();
    }
    @Test
    public void t01(){
        skuPluginInitializer.start("test0717001");
    }
    @Test
    public void t02(){
        skuPluginInitializer.start("2024-08-28","2024-08-29");
    }
    ////////////////////////////////////////////////////////////////////////////////////SKU封存给
    @Test
    public void t31(){
        skuSealPluginInitializer.start("AAA");
    }

    ////////////////////////////////////////////////////////////////////////////////////SKU自动分配
    @Test
    public void t10(){
        goodsAutoAllotPluginInitializer.start("6938582374025");
    }
    @Test
    public void t11(){
        goodsAutoAllotPluginInitializer.start("2022-09-10","2024-09-13");
    }
    ////////////////////////////////////////////////////////////////////////////////////SKU分类
    @Test
    public void t20(){
        skuClassPluginInitializer.start();
    }
    @Test
    public void t21(){
        skuClassPluginInitializer.start("YD001");
    }
    @Test
    public void t22(){
        skuClassPluginInitializer.start("2024-08-23","2024-08-29");
    }

    /////////////////////////////////////////////////////////////////////////////////////实物组套
    @Test
    public void t30(){
        kitPluginInitializer.start("test0717001");
    }


}
